﻿using System;
using System.Collections.Generic;

namespace Falcon.SugarApi.JWT
{
    /// <summary>
    /// JWT载荷信息
    /// </summary>
    public class LoginUserInfo

    {
        /// <summary>
        /// 登录用户名
        /// </summary>
        public string? UserName { get; set; }
        /// <summary>
        /// 用户角色
        /// </summary>
        public List<string> Roles { get; set; } = new List<string>();
        /// <summary>
        /// 其他扩展用户信息
        /// </summary>
        public Dictionary<string, object> UserInfoExtend { get; set; } = new Dictionary<string, object>();
        /// <summary>
        /// 登录时间
        /// </summary>
        public DateTime? LoginTime { get; set; }
    }
}
